---
search:
  tags:
    - Store Groups
    - PUT
seo:
  description: >-
    Adds a market to a… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/store-groups/{store_group_slug}/market/{market_slug}
    endpoint in the Management API.
sidebar:
  label: Add a market to a store group
  badge: PUT
title: Add a market to a store group
type: openapi-operation
---
Adds a market to a store group with configurable tax settings for price inclusion and exemption eligibility. The market must exist in the app.

`PUT /api/v1/{team_slug}/{app_slug}/store-groups/{store_group_slug}/market/{market_slug}`

**Request body** (`application/json`, required)

Market-specific tax settings for the store group

- `is_tax_exemption_eligible` (boolean)
- `is_tax_included_in_price` (boolean)

Request body example:

```json
{
  "is_tax_exemption_eligible": true,
  "is_tax_included_in_price": true
}
```

**Responses**

- `200` — Market added to store group successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `404` — Not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "country_of_sale": "string",
    "created_at": "string",
    "description": "string",
    "id": "string",
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "is_tax_exemption_eligible": true,
        "is_tax_included_in_price": true,
        "locale": "string",
        "name": "string",
        "slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "slug": "string",
    "store_type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
